import { Component, HostBinding } from '@angular/core';

@Component({
  selector: 'content-layout',
  templateUrl: './content-layout.component.html',
  styleUrls: ['./content-layout.component.scss']
})
export class ContentLayoutComponent  {
	@HostBinding('@.disabled')
	animationsDisabled = true;
	public accordionGroup1Expanded: boolean = true;
	public accordionGroup2Expanded: boolean = false;
	public accordionGroup3Expanded: boolean = false;

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
