import { Component, ViewEncapsulation } from '@angular/core';

@Component({
	selector: 'display-block-collapse',
	templateUrl: './display-block-collapse.component.html',
	styleUrls: ['./display-block-collapse.component.scss'],
	encapsulation: ViewEncapsulation.None
})
export class DisplayBlockCollapseComponent {
	public customerInfoCollapse: string = 'Left';
	public photoCollapse: string = 'Up';
	public relatedInfoCollapse: string = 'Right';


	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}