import { Component } from '@angular/core';

@Component({
	selector: 'enterprise-icons',
	templateUrl: './enterprise-icons.component.html',
	styleUrls: ['./enterprise-icons.component.scss']
})
export class EnterpriseIconsComponent {
	public accountList: any[] =
	[
		{ 'iconType': 'Account', 'name': '00214', 'type': 'Demand Deposit', 'balance': 1234.56 },
		{ 'iconType': 'Check', 'name': '00017', 'type': 'Checking', 'balance': 415.92 },
		{ 'iconType': 'Savings', 'name': '00190', 'type': 'Savings', 'balance': 7624.18 }
	];

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
