import { Component } from '@angular/core';
import { UntypedFormGroup, UntypedFormControl, Validators } from '@angular/forms';

@Component({
	// tslint:disable-next-line:component-selector
	selector: 'tooltips',
	templateUrl: './tooltips.component.html',
	styleUrls: ['./tooltips.component.scss']
})
export class TooltipsComponent {
	public editForm: UntypedFormGroup = new UntypedFormGroup({
		'name': new UntypedFormControl('Nancy Davolio', Validators.required)
	});
	get name(): any { return this.editForm.get('name'); }

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
