import { AbstractControl } from '@angular/forms';

export function PasswordTooShortValidator(control: AbstractControl): any {

	const newPassword = control.value;

	if (!newPassword || newPassword.length < 8) {
		return { 'passwordTooShort': true };
	}

	return null;
}
