import { Component, HostBinding } from '@angular/core';

@Component({
	// tslint:disable-next-line:component-selector
	selector: 'tabs',
	templateUrl: './tabs.component.html',
	styleUrls: ['./tabs.component.scss']
})
export class TabsComponent {
	@HostBinding('@.disabled')
	animationsDisabled = true;

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
