import { Component, OnInit } from '@angular/core';
import { JhaTileService } from '@jha/jharesponsive/jha-tile';


@Component({
	// tslint:disable-next-line:component-selector
	selector: 'tiles',
	templateUrl: './tiles.component.html',
	styleUrls: ['./tiles.component.scss'],
	providers: [JhaTileService]
})
export class TilesComponent implements OnInit {

	constructor(private jhaTileService: JhaTileService) { }

	ngOnInit(): void {

		// Start animating tiles after a brief delay to allow all the *ngFors to complete
		window.setTimeout(() => {
			this.jhaTileService.StartAnimatingTile($('#AnimatedTile'));
		}, 300);

	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
