import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LazyLoadComponent } from './components/lazy-load/lazy-load.component';

import { JhaButtonsModule } from '@jha/jharesponsive/jha-buttons';
import { JhaLayoutModule } from '@jha/jharesponsive/jha-layout';
import { JhaNotificationsModule } from '@jha/jharesponsive/jha-notifications';

import { Routes, RouterModule } from '@angular/router';

const routes: Routes = [
	{ path: '**', component: LazyLoadComponent }
];

@NgModule({
	declarations: [
		LazyLoadComponent
	],
	imports: [
		CommonModule,
		RouterModule.forChild(routes),
		JhaButtonsModule,
		JhaLayoutModule,
		JhaNotificationsModule
	]
})
export class LazyLoadModule { }
